#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,m;
    cin >> n>>m;
    map<int ,string>st;
    int befi;
    string befs;
    int state[100010][2]={};//quese,(ac,wa)
    int tag;
        for(int i=0;i<m;i++){
        cin >>befi>>befs;
        if(befs=="AC"){
            tag=0;
        }else{
            tag=1;
        }
        if(state[befi][0]==0){
            state[befi][tag]++;
        }
    } 
    int ACs=0;
    int WAs=0;
    for(int i=0;i<=n;i++){
        if(state[i][0]==1){
            ACs+=state[i][0];
            WAs+=state[i][1];
            //cout << state[i][0] << " " << state[i][1];
        }
    }
    cout << ACs<<" "<<WAs;
}
